# Type Alias WidgetButtonStyle

type WidgetButtonStyle = {
"background-color"?: string;
"border-color"?: string;
"border-radius"?: string;
"border-style"?: string;
"border-width"?: string;
color?: string;
"font-size"?: string;
"line-height"?: string;
padding?: string;
}

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:24

##### Index

### Properties

background-color?
border-color?
border-radius?
border-style?
border-width?
color?
font-size?
line-height?
padding?

## Properties

### `Optional` background-color

"background-color"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:25

### `Optional` border-color

"border-color"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:27

### `Optional` border-radius

"border-radius"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:26

### `Optional` border-style

"border-style"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:29

### `Optional` border-width

"border-width"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:28

### `Optional` color

color?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:30

### `Optional` font-size

"font-size"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:31

### `Optional` line-height

"line-height"?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:33

### `Optional` padding

padding?: string

- Defined in jamespot-user-api/src/types/widgets/widgetButton.ts:32